///////////////////////////////////////////////////////////////////
// The MOutput class implements the definition for a single
// output field, and it's format.
class MOutput : public CObject
{
public:
	DECLARE_SERIAL( MOutput )
	MOutput() { Status=0; }
	MOutput( MOutput & Src ) { FieldName=Src.FieldName; Postfix=Src.Postfix; Status=Src.Status;}

	enum OOptions { OO_ENDLINE=1, OO_NOTRIM=2, OO_NOSEP=4, OO_ALLOWBLANK=8 };
	void Serialize( CArchive & ar );
	
	MOutput( const char *xName, const char * xPostfix, WORD Options ) { Set(xName, xPostfix, Options); };

	// Operations    
	void Set(const char *xName, const char * xPostfix, WORD Options ) { FieldName = xName; Postfix=xPostfix; Status=Options; };
	// Attributes
	virtual char * GetType() { return( "MOutput" ); };
	CString GetFieldName() { return( FieldName ); }
	void SetFieldName( const char * strName ) { FieldName = strName; }
	BOOL IsName( const char * Src ) { return( !stricmp( Src, FieldName ) ); };
	CString GetPostfix() { return( Postfix ); }
	BOOL IsEndLine() { return( !!(Status&OO_ENDLINE) );}
	BOOL IsTrim() { return( !(Status&OO_NOTRIM) );}
	BOOL HasSep() { return( !(Status&OO_NOSEP) );}
	BOOL AllowBlank() { return( !!(Status&OO_ALLOWBLANK) );}

	WORD GetOptions() { return( Status ); };
	
	
protected:
	CString FieldName, Postfix;
	WORD Status;
};
