// SrtView.h : interface of the CSrtView class
//
/////////////////////////////////////////////////////////////////////////////

class CSrtView : public CFormView
{
protected: // create from serialization only
	CSrtView();
	DECLARE_DYNCREATE(CSrtView)

public:
	BOOL OnNeedText( UINT id, NMHDR * pTTTStruct, LRESULT * pResult ); //Tool tips: Step3
	//{{AFX_DATA(CSrtView)
	enum { IDD = IDD_SRT_FORM };
	CStatic	m_KeySize;
	CStatic	m_Status;
	CListBox	m_OutList;
	CListBox	m_SortList;
	CStatic	m_RecSize;
	CListBox	m_FldList;
	CString	m_InputFile;
	CString	m_OutputFile;
	BOOL	m_HasSep;
	BOOL	m_Descending;
	//}}AFX_DATA

// Attributes
public:
	CSrtDoc* GetDocument();

// Operations
public:
	// Support functions added without classwizard
	void UpdateRecSize( int RecSize );
	void UpdateKeySize( int KeySize );
	void MoveLine( CListBox & List, int OldPos, int NewPos );
	void OnChangefile();
	void RemoveFromLists(const char * Name);
	void ChangeInLists(const char * OldName, const char * NewName);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSrtView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSrtView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSrtView)
	afx_msg void OnFldadd();
	afx_msg void OnFlddel();
	afx_msg void OnFldup();
	afx_msg void OnFlddwn();
	afx_msg void OnDblclkFldlist();
	afx_msg void OnSrtadd();
	afx_msg void OnSrtdel();
	afx_msg void OnSrtdwn();
	afx_msg void OnSrtup();
	afx_msg void OnOutadd();
	afx_msg void OnOutdel();
	afx_msg void OnOutdwn();
	afx_msg void OnOutup();
	afx_msg void OnPickinp();
	afx_msg void OnRun();
	afx_msg void OnPickout();
	afx_msg void OnChangeFile();
	afx_msg void OnDblclkOutlist();
	afx_msg void OnDblclkSrtlist();
	afx_msg void OnCalcOff();
	afx_msg void OnHassep();
	afx_msg void OnDescend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in SrtView.cpp
inline CSrtDoc* CSrtView::GetDocument()
   { return (CSrtDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
