//////////////////////////////////////////////////////////////////////
// The MSort class contains information for a single sort field, and 
// it's options.
class MSort : public CObject
{
public:
	enum SortStatus { SS_DEFAULT=0, 
					  SS_ASCEND=0, SS_DESCEND=1, 
					  SS_INSENSITIVE=0, SS_SENSITIVE=2
	};

	// For MFC serialization
	DECLARE_SERIAL(MSort)
	MSort() { FieldID=0xFFFF; Status=SS_DEFAULT;}
	void Serialize( CArchive & ar );
	
	MSort(const CObArray & FldList,CString xName, BYTE xStatus );
	MSort(CString xName, BYTE Sensitive, WORD ID=-1 ) { Set(xName, (Sensitive?SS_SENSITIVE:SS_INSENSITIVE),ID);}
	
	//Operations
	void Set( CString xName, BYTE Sensitive, int ID=-1 ) { SetFieldName(xName); SetID(ID);Status=(Sensitive?SS_SENSITIVE:0);FieldID=ID; };
	void Set( const CObArray & FldList, int ID, BYTE xStatus );
	void Set( const CObArray & FldList, CString xName, BYTE xStatus );

	void SetFieldName( CString xName ) { FieldName=xName; };
	CString GetFieldName() { return( FieldName ); }
	BOOL IsName( const char * Src ) { return( !stricmp( Src, FieldName ) ); };
	void SetID( int ID ) { FieldID=ID; }
	int GetID() { return( FieldID );}
	BYTE GetStatus( ) {return(Status); };
	void SetStatus( SortStatus xStatus ) { Status=xStatus;}


	// Attributes
	BOOL IsSensitive() { return( !!(Status&SS_SENSITIVE) ); }

protected:
	BYTE Status;

	CString FieldName;	// For tieing back to field list later
	WORD FieldID;		// For faster run-time tieing
};
